Name: xorg-drv-wizardpen
Version: 0.6.0.2
Release: alt3.M50.1

Summary: Genius WizardPen tablet driver for X.Org and XFree86
License: GPLv2
Group: System/X11
Url: http://www.kubuntu.dk/wizardpen/
Packager: Paul Wolneykien <manowar@altlinux.ru>

Source0: %name-%version.tar.gz
Source1: %name-%version-fdi.tar.gz

Patch0: init-valuator.patch
Patch1: button-event.patch

# Automatically added by buildreq on Tue Feb 10 2009
BuildRequires: gcc-c++ gcc-fortran rpm-macros-fillup xorg-inputproto-devel xorg-randrproto-devel xorg-sdk xorg-xproto-devel

%description
This is a X.Org and XFree86 4.x driver for the Genius WizardPen
and MousePen tablets. Other Genius USB tablets may be working too,
please report any experience with it, if you have one.

%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

%prep
%setup -b1
%patch0 -p2
%patch1 -p2

%build
%autoreconf -fi
./configure --with-xorg-module-dir=%buildroot%_libdir/X11/modules
%make_build
cd calibrate
%make_build
cd ../man
%make_build

%install
%make_install install \
	prefix=%buildroot%_prefix \
	bindir=%buildroot%_bindir \
	mandir=%buildroot%_mandir \
	datadir=%buildroot%_datadir \
	libdir=%buildroot%_libdir
cd calibrate
%make_install install \
	PREFIX=%buildroot%_prefix
cd ../man
%make_install install \
	prefix=%buildroot%_prefix \
	mandir=%buildroot%_mandir
cd ..

mkdir -p %buildroot%_fdidir
install -m644 ../%name-%version-fdi/*.fdi %buildroot%_fdidir/

%files
%_libdir/X11/modules/input/wizardpen_drv.so
%_bindir/wizardpen-calibrate
%_mandir/man4/wizardpen.4.gz
%_fdidir/*.fdi

%changelog
* Tue May 19 2009 Paul Wolneykien <manowar@altlinux.ru> 0.6.0.2-alt3.M50.1
- Removes the hysteresis in the threshold-based button event handling.

* Thu May 04 2009 Paul Wolneykien <manowar@altlinux.ru> 0.6.0.2-alt2.M50.1
- Threshold-based button event.

* Thu Apr 30 2009 Paul Wolneykien <manowar@altlinux.ru> 0.6.0.2-alt2
- Fix button event handler.
- FDI for Hal based Xorg autoconfiguration included.
- Fix of the wrong InitValuatorClassDeviceStruct() call.

* Wed Feb 11 2009 Paul Wolneykien <manowar@altlinux.ru> 0.6.0.2-alt1
- Initial build of the version 0.6.0.2 for ALT Linux.

* Tue Feb 10 2009 Paul Wolneykien <manowar@altlinux.ru> 0.5.0-alt1
- Initial build for ALT Linux.
